// This function alows you to specify a variable length countdown timer.
// Useful for all sorts of things!

function count_down { 
    parameter counts is 10.             // Number of counts to do
    parameter duration_per_count is 1.  // Duration per each count

    PRINT "Counting down:".
    FROM {local countdown is counts.} UNTIL countdown = 0 STEP {SET countdown to countdown - 1.} DO {
        PRINT "..." + countdown. // Print out the current count.
        WAIT duration_per_count. // Pause here untill the duration is complete.
    }.
}.
